CompletionTokenStream (Lucene 10.5.0 suggest API)
Description: declaration: package: org.apache.lucene.search.suggest.document, class: CompletionTokenStream

Package org.apache.lucene.search.suggest.document

# Class CompletionTokenStream

java.lang.Object
org.apache.lucene.util.AttributeSource
org.apache.lucene.analysis.TokenStream
org.apache.lucene.analysis.TokenFilter
org.apache.lucene.search.suggest.document.CompletionTokenStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `Unwrappable<TokenStream>`

public final class CompletionTokenStream extends TokenFilter
A `ConcatenateGraphFilter` but we can set the payload and provide access to config options.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

  `AttributeSource.State`

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.analysis.TokenFilter

  `input`

  ### Fields inherited from class org.apache.lucene.analysis.TokenStream

  `DEFAULT_TOKEN_ATTRIBUTE_FACTORY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `incrementToken()`
  `void`
  `setPayload(BytesRef payload)`
  Sets a payload available throughout successive token stream enumeration
  `Automaton`
  `toAutomaton()`
  Delegates to...At
  `Automaton`
  `toAutomaton(boolean unicodeAware)`
  Delegates to...

  ### Methods inherited from class org.apache.lucene.analysis.TokenFilter

  `close, end, reset, unwrap`

  ### Methods inherited from class org.apache.lucene.util.AttributeSource

  `addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, endAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, removeAllAttributes, restoreState, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### setPayload

    public void setPayload(BytesRef payload)
    Sets a payload available throughout successive token stream enumeration

  - ### incrementToken

    public boolean incrementToken() throws IOException
    Specified by:
      `incrementToken` in class `TokenStream`
    Throws:
      `IOException`

  - ### toAutomaton

    public Automaton toAutomaton() throws IOException
    Delegates to...At
    Throws:
      `IOException`
    See Also:
      - `ConcatenateGraphFilter.toAutomaton()`

  - ### toAutomaton

    public Automaton toAutomaton(boolean unicodeAware) throws IOException
    Delegates to...
    Throws:
      `IOException`
    See Also:
      - `ConcatenateGraphFilter.toAutomaton(boolean)`